Name: jakarta-commons-discovery
Version: 0.2
Release: alt0.M24.1

Summary: Jakarta Commons Discovery
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

URL: http://akarta.apache.org/commons/discovery
Source0: commons-discovery-%{version}-src.tar.gz
Source1: jakarta-commons-discovery-build.properties

Patch1: jakarta-commons-discovery-build.xml.patch

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel ant jakarta-commons-logging
BuildPreReq: junit rpm-build-java

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-commons-logging

%description
The Discovery component is about discovering, or finding, implementations for
pluggable interfaces.  Pluggable interfaces are specified with the intent that
multiple implementations are, or will be, available to provide the service
described by the interface.  Discovery provides facilities for finding and
instantiating classes, and for lifecycle management of singleton (factory)
classes.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-discovery-%{version}-src/discovery
%patch1
%__cp %SOURCE1 build.properties

%build
%__ant dist test.discovery

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_javadocdir

%__mv dist/commons-discovery.jar %buildroot%_javadir/%name.jar
%__mv dist/docs/api %buildroot%_javadocdir/%name
%__mv dist/*.txt %buildroot%_docdir/%name-%version/
%__mv *.html %buildroot%_docdir/%name-%version/

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Thu Apr 21 2005 Alexey Borovskoy <alb@altlinux.ru> 0.2-alt0.M24.1
- Backport to Master 2.4
- Sync with local repo

* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 0.2-alt3
- rpm-build-java macroces
- remove patch1 (applied in upstream)

* Mon Oct 25 2004 Vladimir Lettiev <crux@altlinux.ru> 0.2-alt2
- 0.2-dev (cvs 20041024)
- fix build with j2se1.5

* Fri Sep 17 2004 Vladimir Lettiev <crux@altlinux.ru> 0.2-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:1:0.2-2jpp
- Rebuild with ant-1.6.2

* Thu Apr 17 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1:0.2-1jpp
- Update to 0.2 and JPackage 1.5.

* Fri Sep 13 2002 Ville Skytt <ville.skytta at iki.fi> 1:0.1-1jpp
- 0.1.

* Sat Sep  7 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.rc1.1jpp
- First JPackage release.

